Bug 59001 - [MAINTAINER UPDATE] databases/firebird-devel: security fix - update to head
Summary: [MAINTAINER UPDATE] databases/firebird-devel: security fix - update to head
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Leidinger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-06 11:40 UTC by Chris Knight
Modified: 2003-12-04 17:48 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (63.28 KB, patch)
2003-11-06 11:40 UTC, Chris Knight
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Knight 2003-11-06 11:40:15 UTC
Fix security issue with 1.0.r2 by upgrading to snapshot of the head branch.
Take back maintainership.
There are some rough edges I need to tidy up - specifically pkg-plist.
Any feedback on changes to be made to the port would be greatly appreciated.
Don't expect this to work. It builds and passes some light testing.
It would be really nice if someone fixed autoconf257 and bsd.port.mk. I had to
change dev_acver to 257 in bsd.port.mk, then create the directory
/usr/local/libexec/autoconf257, then symlink the *257 binaries from
/usr/local/bin into it to get this to build.
I'll submit another PR to this once it is committed to make it build with
autoconf253.

How-To-Repeat: N/A
Comment 1 Chris Knight 2003-11-11 00:47:21 UTC
Howdy,

There are a couple of build issues with the diff I submitted. Rather than
submit yet another large diff, I've made the port tarball available at
http://www.aims.net.au/chris/firebird/firebird-head.tar.gz.

Regards,
Chris Knight
Systems Administrator
E-Easy
Tel: +61 3 6334 9995  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.e-easy.com.au
Comment 2 Chris Knight 2003-11-11 00:47:21 UTC
Howdy,

There are a couple of build issues with the diff I submitted. Rather than
submit yet another large diff, I've made the port tarball available at
http://www.aims.net.au/chris/firebird/firebird-head.tar.gz.

Regards,
Chris Knight
Systems Administrator
E-Easy
Tel: +61 3 6334 9995  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.e-easy.com.au
Comment 3 Chris Knight 2003-11-11 12:08:06 UTC
Howdy,

Nothing like local patches to fubar things :-(
Currently, the port only builds on -current. I'm in the process of =
fixing it
for 4.x.

Regards,
Chris Knight
Systems Administrator
E-Easy
Tel: +61 3 6334 9995  Fax: +61 3 6331 7032  Mob: +61 419 528 795
Web: http://www.e-easy.com.au
Comment 4 Alexander Leidinger freebsd_committer 2003-12-04 17:46:26 UTC
State Changed
From-To: open->closed

ommitted. Thanks.
Comment 5 Alexander Leidinger freebsd_committer 2003-12-04 17:47:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->netchild

Ooops, the previous commit log should be "Committed"...